Halaman splash
GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Butiran | Perihalan |
|---|---|---|
| search | Pilihan String | String carian. |
| search_by | Pilihan String | Bidang apa yang anda cari. Nilai yang dibenarkan adalah: name. |
| datetime_field | Pilihan String | Nilai yang dibenarkan: datetime, last_datetime |
| datetime_start | Pilihan String | Tapis hasil bermula dari tarikh dan masa ini. Format Y-m-d H:i:s. |
| datetime_end | Pilihan String | Tapis hasil sehingga tarikh dan masa ini. Format Y-m-d H:i:s. |
| order_by | Pilihan String | Bidang apa yang perlu diatur untuk hasil. Nilai yang dibenarkan adalah: splash_page_id, datetime, last_datetime, name. |
| order_type | Pilihan String | Pengurutan hasil. Nilai yang dibenarkan adalah: ASC untuk pengurutan menaik, dan DESC untuk pengurutan menurun. |
| page | Pilihan Integer | Nombor halaman yang anda ingin hasilkan. Secara lalai kepada 1. |
| results_per_page | Pilihan Integer | Berapa banyak hasil yang anda mahu setiap halaman. Nilai yang dibenarkan adalah: 10, 25, 50, 100, 250, 500, 1000. Secara lalai kepada 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 11:36:40",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/projects?page=1",
"last": "https://tistos.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/projects?page=1"
}
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 11:36:40",
}
}
POST https://tistos.com/api/projects
| Parameter | Butiran | Perihalan |
|---|---|---|
| name | Diperlukan String | - |
| title | Pilihan String | - |
| logo | Pilihan Fail | - |
| favicon | Pilihan Fail | - |
| opengraph | Pilihan Fail | - |
| description | Pilihan String | - |
| secondary_button_name | Pilihan String | - |
| secondary_button_url | Pilihan String | - |
| custom_css | Pilihan String | - |
| custom_js | Pilihan String | - |
| ads_header | Pilihan String | - |
| ads_footer | Pilihan String | - |
| link_unlock_seconds | Pilihan Integer | - |
| auto_redirect | Pilihan Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
| Parameter | Butiran | Perihalan |
|---|---|---|
| name | Pilihan String | - |
| title | Pilihan String | - |
| logo | Pilihan Fail | - |
| favicon | Pilihan Fail | - |
| opengraph | Pilihan Fail | - |
| description | Pilihan String | - |
| secondary_button_name | Pilihan String | - |
| secondary_button_url | Pilihan String | - |
| custom_css | Pilihan String | - |
| custom_js | Pilihan String | - |
| ads_header | Pilihan String | - |
| ads_footer | Pilihan String | - |
| link_unlock_seconds | Pilihan Integer | - |
| auto_redirect | Pilihan Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \